
ALTER PROCEDURE [dbo].[ins_gas_detalleGasto]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_detalleGasto varchar(300),
		@p_detalleGasto_codigo varchar(100),
		@p_fecha_ff smalldatetime,
		@p_valor float,
		@p_cantidad float,
		@p_id_gasto int,
		@p_id_catalogo int,
		@p_id_documento_gasto int=0
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [gas_detalleGasto]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[detalleGasto],
			[detalleGasto_codigo],
			[fecha_ff],
			[valor],
			[cantidad],
			[id_gasto],
			[id_catalogo],
			[id_documento.gasto])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_detalleGasto,
			@p_detalleGasto_codigo,
			@p_fecha_ff,
			@p_valor,
			@p_cantidad,
			@p_id_gasto,
			@p_id_catalogo,
			@p_id_documento_gasto)
		SET @v_id = scope_identity()
UPDATE [gas_detalleGasto] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO

ALTER PROCEDURE [dbo].[ins_gas_documento_ot_detalleGasto]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_documento_ot_detalleGasto varchar(300),
		@p_id_detalleGasto int,
		@p_id_documento_ot int,
		@p_id_itemDocumento int,
		@p_id_documento_gasto int=0
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [gas_documento.ot_detalleGasto]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[documento.ot_detalleGasto],
			[id_detalleGasto],
			[id_documento.ot],
			[id_itemDocumento],
			[id_documento.gasto])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_documento_ot_detalleGasto,
			@p_id_detalleGasto,
			@p_id_documento_ot,
			@p_id_itemDocumento,
			@p_id_documento_gasto)
		SET @v_id = scope_identity()
UPDATE [gas_documento.ot_detalleGasto] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO

